using System;
using System.Xml;
using Server;
using Server.Mobiles;
using Server.Gumps;

namespace Server.Regions
{
	public class CaveRegion : BaseRegion
	{
		public CaveRegion( XmlElement xml, Map map, Region parent ) : base( xml, map, parent )
		{
		}

		public override bool AllowHousing( Mobile from, Point3D p )
		{
			return false;
		}

		public override bool NoMounts( Mobile from, Point3D p )
		{
			return true;
		}

		public override void AlterLightLevel( Mobile m, ref int global, ref int personal )
		{
			global = LightCycle.CaveLevel;
		}

        public override void OnEnter( Mobile m )
        {
            base.OnEnter( m );
            if ( m != null && m.Player )
            {
                m.SendMessage( "You have entered a dark cave system." );
            }
        }
	}
}
